/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import '../../css/general_styling';

.Landing {
  height: 100vh;

  .Wrapper {
    padding: 0 6em;

    @include breakpoint(md) {
      padding: 2em;
    }

    @include breakpoint(sm) {
      padding: 2em;
    }
  }

  .BlockBanner {
    height: 95vh;

    h1 {
      @include primary-text($titlebanner, $white, 500);
      line-height: 96px;

      @include breakpoint(md) {
        @include primary-text($titlebig, $white, 500);
        line-height: normal;
      }

      @include breakpoint(sm) {
        @include primary-text($titlebig, $white, 500);
        line-height: normal;
      }
    }

    h2 {
      @include primary-text($titlepage, $white, 400);
      margin: 1.5em 0;

      @include breakpoint(md) {
        @include primary-text($title, $white, 400);
        margin: 1.5em 0;
      }

      @include breakpoint(sm) {
        @include primary-text($title, $white, 400);
        margin: 2.5em 0;

        br {
          display: none;
        }
      }
    }

    .BlockActions {
      display: flex;
      align-items: center;
    }
  }

  .CardProject {
    .BlockImage {
      overflow: hidden;
      height: 230px;
      border-radius: 8px;

      img {
        width: 100%;
      }
    }

    .ant-tag {
      position: static;
    }

    p {
      margin-top: 1em;
    }
  }
}
